<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\PasienController;
use App\Http\Controllers\DokterController;
use App\Http\Controllers\KategoriObatController;
use App\Http\Controllers\ObatController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\RekamMedisController;
use App\Http\Controllers\LevelController;
use App\Http\Controllers\LaporanController;
use App\Http\Controllers\ProfilController;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes([
    'register' => false, // Registration Routes...
    'reset' => false, // Password Reset Routes...
    'verify' => false, // Email Verification Routes...
]);

Route::get('/', function () {
    return redirect()->route('home');
});

Route::get('tes', function () {
    return view('tes');
});

Route::get('tes2', function () {
    return view('tes2');
});

Route::group(['middleware' => 'auth'], function(){
    Route::get('/home', [HomeController::class, 'index'])->name('home');

    Route::get('pasien/upload', [PasienController::class, 'upload'])->name('pasien.upload');
    Route::post('pasien/upload', [PasienController::class, 'storeUpload'])->name('pasien.storeUpload');
    Route::resource('pasien', PasienController::class);
    Route::resource('dokter', DokterController::class);
    Route::resource('kategori', KategoriObatController::class);
    Route::resource('obat', ObatController::class);
    Route::resource('level', LevelController::class);
    Route::resource('user', UserController::class);
    Route::resource('rekam_medis', RekamMedisController::class);

    Route::get('/rekam_medis/print/{rekam_medis_id}', [RekamMedisController::class, 'print'])->name('rekam_medis.print');
    Route::get('/laporan/{menu}/cetak', [LaporanController::class, 'cetak']);
	Route::resource('laporan', LaporanController::class);
	Route::resource('profil', ProfilController::class);
});




